php7.0-gd_7.0.4-7ubuntu2_amd64.deb


Advertisement

Description

php7.0-gd - GD module for PHP

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename php7.0-gd_7.0.4-7ubuntu2_amd64.deb
Package name php7.0-gd
Package version 7.0.4
Package release 7ubuntu2
Package architecture amd64
Package type deb
Category php
Homepage http://www.php.net/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 26.49 KB
Installed size 131.00 KB
This package provides the GD module(s) for PHP.
PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
open source general-purpose scripting language that is especially suited
for web development and can be embedded into HTML.

Alternatives

Package Version Architecture Repository
php7.0-gd_7.0.33-0ubuntu0.16.04.6_amd64.deb 7.0.33 amd64 Ubuntu Updates Main
php7.0-gd_7.0.33-0ubuntu0.16.04.6_i386.deb 7.0.33 i386 Ubuntu Updates Main
php7.0-gd_7.0.4-7ubuntu2_i386.deb 7.0.4 i386 Ubuntu Main
php7.0-gd - - -

Requires

Name Value
libc6 >= 2.4
libgd3 >= 2.1.1
libxpm4 -
php-common >= 1:33
php7.0-common = 7.0.4-7ubuntu2
ucf -

Provides

Name Value
php-gd -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package php7.0-gd_7.0.4-7ubuntu2_amd64.deb
Source Package php7.0

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php7.0-gd deb package:
    # sudo apt-get install php7.0-gd

Files

Path
/usr/lib/php/20151012/gd.so
/usr/share/bug/php7.0-gd/control
/usr/share/bug/php7.0-gd/script
/usr/share/doc/php7.0-gd
/usr/share/lintian/overrides/php7.0-gd
/usr/share/php7.0-gd/gd/gd.ini

Changelog

2016-04-13 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
php7.0 (7.0.4-7ubuntu2) xenial; urgency=medium
* debian/patches/0052-backport-186844be.patch: Fix bug #71695: Global
variables are resreved before execution.  Closes LP: #1569509.
2016-04-07 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
php7.0 (7.0.4-7ubuntu1) xenial; urgency=medium
* Merge with Debian unstable (LP: #1567158). Remaining changes:
- debian/patches/0051-backport-89a43425.patch: Fix incompatible
pointers on 64-bit.  Closes LP #1558201.
* Drop:
- Add support for independent source packages php7.0 and
php7.0-universe-source (LP #1555843):
- d/control{,.in}: drop Build-Depends on firebird-dev, libc-client-dev,
libmcrypt-dev, libonig-dev, libqdbm-dev and libzip-dev.
- d/control: drop binary packages php7.0-imap, php7.0-interbase,
php7.0-mcrypt and php7.0-zip and their reverse dependencies.
- d/control{,.in}: add Build-Depends on dctrl-tools.
- d/rules.d/ext-interbase.mk: add pdo config to interbase's
config, as php7.0-universe-common will not use ext-common.mk.
- d/control{,.in}: switch Build-Depends of netcat-traditional to
netcat-openbsd as only the latter is in main.
- d/rules: do not generate debian/tests/control when building for
universe.
- d/rules: use grep-dctrl to remove binary packages not generated by
this source package during the build (dpkg-genchanges complains
otherwise).
- php7.0-interbase: Do not install pdo.so, as it is provided
by php7.0-common (LP #1556486).
[ Xenial now supports building packages in main with universe
build-deps ]
- debian/patches/0048-fix-bug-71659-pcre-segfault-in-twig-tests.patch:
Replace bump regex with calculate_unit_length().  Closes LP:
#1548442.
[ merged in Debian ]
* d/t/control{,.in}: add dependency on wget
2016-03-25 - Ondřej Surý <ondrej@debian.org>
php7.0 (7.0.4-7) unstable; urgency=medium
* Add upstart init script for backport reasons
* Add do_tmpfiles() call to php-fpm-checkconf to get consistent
behaviour in all init systems
* Fix use of UNDEF instead of NULL in read_dimension
(Courtesy of Nikita Popov)
* libphp-embed 'update-alternatives --remove' call needs to be in prerm
script
* Override maintainer-script-empty prerm in PHP extension packages
* apache2-module-depends-on-real-apache2-package lintian-override needs
to go in php-sapi.lintian-overrides to have any effect
* Move embedded library fileinfo lintian-override to
php-common.lintian-overrides.extra
* Add missing #EXTRA# to php-module.lintian-overrides template
2016-03-14 - Ondřej Surý <ondrej@debian.org>
php7.0 (7.0.4-6) unstable; urgency=medium
* Add patch to fix segmentation fault in pcre running twig tests
* Register libphp@PHP_MAJOR@.so with update-alternatives, so there's no
dangling symbol in the piuparts
* Really expand $libdir and $datadir before AC_SUBST to allow passing
${prefix} as part of --with-libdir
* Don't reset module provides at every dsoname, but at every module name
* Set PEAR_INSTALL_DIR manually to /usr/share/php even if we are not
building PEAR, so PEAR have correct paths
2016-03-16 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
php7.0 (7.0.4-5ubuntu2) xenial; urgency=medium
* debian/patches/0048-fix-bug-71659-pcre-segfault-in-twig-tests.patch:
Replace bump regex with calculate_unit_length().  Closes LP:
#1548442.
* debian/patches/0049-backport-89a43425.patch: Fix incompatible
pointers on 64-bit.  Closes LP: #1558201.

See Also

Package Description
php7.0-gmp_7.0.4-7ubuntu2_amd64.deb GMP module for PHP
php7.0-json_7.0.4-7ubuntu2_amd64.deb JSON module for PHP
php7.0-ldap_7.0.4-7ubuntu2_amd64.deb LDAP module for PHP
php7.0-mysql_7.0.4-7ubuntu2_amd64.deb MySQL module for PHP
php7.0-odbc_7.0.4-7ubuntu2_amd64.deb ODBC module for PHP
php7.0-opcache_7.0.4-7ubuntu2_amd64.deb Zend OpCache module for PHP
php7.0-pgsql_7.0.4-7ubuntu2_amd64.deb PostgreSQL module for PHP
php7.0-pspell_7.0.4-7ubuntu2_amd64.deb pspell module for PHP
php7.0-readline_7.0.4-7ubuntu2_amd64.deb readline module for PHP
php7.0-recode_7.0.4-7ubuntu2_amd64.deb recode module for PHP
php7.0-snmp_7.0.4-7ubuntu2_amd64.deb SNMP module for PHP
php7.0-sqlite3_7.0.4-7ubuntu2_amd64.deb SQLite3 module for PHP
php7.0-tidy_7.0.4-7ubuntu2_amd64.deb tidy module for PHP
php7.0-xml_7.0.4-7ubuntu2_amd64.deb DOM, SimpleXML, WDDX, XML, and XSL module for PHP
php7.0-xmlrpc_7.0.4-7ubuntu2_amd64.deb XMLRPC-EPI module for PHP
Advertisement
Advertisement